Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Interface Realm.LDAPProperty

Enclosing interface:
  Realm

public static interface Realm.LDAPProperty

LDAPProperty defines the LDAP properties applicable for creating a realm (user manager and role manager) using LDAP directory as a backing store.

Field Summary
`static String` | `ROLES_ISEXTERNAL`
`static String` | `ROLES_MEMBER_ATTR`
`static String` | `ROLES_NAME_ATTR`
`static String` | `ROLES_OBJ_CLASS`
`static String` | `ROLES_SEARCHBASE`
`static String` | `SUBSCRIBER_DN`
`static String` | `USERS_ISEXTERNAL`
`static String` | `USERS_NAME_ATTR`
`static String` | `USERS_OBJ_CLASS`
`static String` | `USERS_SEARCHBASE`

Field Detail

### SUBSCRIBER_DN

    public static final String SUBSCRIBER_DN

  See Also:
    Constant Field Values

### USERS_ISEXTERNAL

    public static final String USERS_ISEXTERNAL

  See Also:
    Constant Field Values

### USERS_SEARCHBASE

    public static final String USERS_SEARCHBASE

  See Also:
    Constant Field Values

### USERS_NAME_ATTR

    public static final String USERS_NAME_ATTR

  See Also:
    Constant Field Values

### USERS_OBJ_CLASS

    public static final String USERS_OBJ_CLASS

  See Also:
    Constant Field Values

### ROLES_ISEXTERNAL

    public static final String ROLES_ISEXTERNAL

  See Also:
    Constant Field Values

### ROLES_SEARCHBASE

    public static final String ROLES_SEARCHBASE

  See Also:
    Constant Field Values

### ROLES_NAME_ATTR

    public static final String ROLES_NAME_ATTR

  See Also:
    Constant Field Values

### ROLES_OBJ_CLASS

    public static final String ROLES_OBJ_CLASS

  See Also:
    Constant Field Values

### ROLES_MEMBER_ATTR

    public static final String ROLES_MEMBER_ATTR

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.